#
# spec file for package calamaris
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           calamaris
Version:        2.59
Release:        bp155.2.10
Summary:        A Report Generator
License:        GPL-2.0-or-later
Group:          Productivity/Networking/Web/Utilities
URL:            http://calamaris.cord.de
Source:         http://cord.de/%{name}-%{version}.tar.gz
Patch0001:      0001_perl.patch
BuildArch:      noarch

%description
Calamaris parses log files from Squid V1.1.x, V1.2.x, V2.x, and NetCache in
native log format and generates a report.

%prep
%setup -q
%patch0001

%build

%install
install -Dpm 0755 calamaris \
  %{buildroot}%{_bindir}/calamaris
install -Dpm 0644 calamaris.1 \
  %{buildroot}/%{_mandir}/man1/calamaris.1

%files
%license COPYRIGHT
%doc CHANGES EXAMPLES README
%{_bindir}/calamaris
%{_mandir}/man1/calamaris.1%{?ext_man}

%changelog
* Mon Aug 26 2019 Kasimir _ <kasimir_@outlook.de>
- Fix generation of reports with Perl >= 5.12 (boo#1145328)
  + 0001_perl.patch
* Tue Jun 19 2018 mpluskal@suse.com
- More spec file modernisations
* Mon Apr 27 2015 mpluskal@suse.com
- Update download url
- Clenup spec file with spec-cleaner
- Build as noarch
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Aug  6 2004 tcrhak@suse.cz
- update to 2.59
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Tue Jul 29 2003 tcrhak@suse.cz
- update to version 2.58
* Mon Feb 17 2003 tcrhak@suse.cz
- update to version 2.57
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Sat Jul 13 2002 tcrhak@suse.cz
- update to version 2.50
* Mon Dec 10 2001 tcrhak@suse.cz
- update to 2.42
* Mon Jul 30 2001 adostal@suse.cz
- change gz to bz2
* Thu Nov  9 2000 nadvornik@suse.cz
- renamed calamari -> calamaris
- update to 2.40
* Fri Oct  6 2000 nadvornik@suse.cz
- fixed Copyright
* Thu Mar 23 2000 nadvornik@suse.cz
- added BuildRoot
* Fri Jan 21 2000 grimmer@suse.de
- spec file cleanups (added version- and manpath macros)
* Thu Dec 23 1999 grimmer@suse.de
- new version (2.29)
- specfile cleanups
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul  5 1999 grimmer@suse.de
- corrected permissions for /usr/bin/calamaris
* Fri Jul  2 1999 grimmer@suse.de
- initial package (Version 2.27)
